# Class TCefCustomStringMap

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFStringMap

## Declaration

`type TCefCustomStringMap = class(TInterfacedObject, ICefStringMap)`

## Description

CEF string maps are a set of key/value string pairs.

## Hierarchy

- TInterfacedObject
- TCefCustomStringMap

## Overview

### Fields

| `FHandle: TCefStringMap;`

### Methods

| `function GetHandle: TCefStringMap; virtual;`
| `function GetSize: NativeUInt; virtual;`
| `function Find(const key: ustring): ustring; virtual;`
| `function GetKey(index: NativeUInt): ustring; virtual;`
| `function GetValue(index: NativeUInt): ustring; virtual;`
| `function Append(const key, value: ustring) : boolean; virtual;`
| `procedure Clear; virtual;`
| `constructor Create; virtual;`

## Description

### Fields

| `FHandle: TCefStringMap;`
This item has no description.

### Methods

| `function GetHandle: TCefStringMap; virtual;`
This item has no description.

| `function GetSize: NativeUInt; virtual;`
Return the number of elements in the string map.

| `function Find(const key: ustring): ustring; virtual;`
Return the value assigned to the specified key.

| `function GetKey(index: NativeUInt): ustring; virtual;`
Return the key at the specified zero-based string map index.

| `function GetValue(index: NativeUInt): ustring; virtual;`
Return the value at the specified zero-based string map index.

| `function Append(const key, value: ustring) : boolean; virtual;`
Append a new key/value pair at the end of the string map. If the key exists, overwrite the existing value with a new value w/o changing the pair order.

| `procedure Clear; virtual;`
Clear the string map.

| `constructor Create; virtual;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.